Package org.eclipse.jgit.lib

## Class StoredConfig

- java.lang.Object
- - org.eclipse.jgit.lib.Config
  - - org.eclipse.jgit.lib.StoredConfig

Direct Known Subclasses:
  `FileBasedConfig`

    public abstract class StoredConfig
    extends Config

Persistent configuration that can be stored and loaded from a location.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.lib.Config

`Config.ConfigEnum, Config.SectionParser<T>`

### Constructor Summary

Constructors
`StoredConfig()` Create a configuration with no default fallback.
`StoredConfig​(Config defaultConfig)` Create an empty configuration with a fallback for missing keys.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `clear()` Clear the configuration file
`abstract void` `load()` Load the configuration from the persistent store.
`abstract void` `save()` Save the configuration to the persistent store.

### Methods inherited from class org.eclipse.jgit.lib.Config

`addChangeListener, fireConfigChangedEvent, fromText, get, getBoolean, getBoolean, getEnum, getEnum, getInt, getInt, getLong, getLong, getNames, getNames, getNames, getNames, getSections, getString, getStringList, getSubsections, notifyUponTransientChanges, setBoolean, setEnum, setInt, setLong, setString, setStringList, toText, uncache, unset, unsetSection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StoredConfig

    public StoredConfig()

Create a configuration with no default fallback.

#### StoredConfig

    public StoredConfig​(Config defaultConfig)

Create an empty configuration with a fallback for missing keys.

Parameters:
  `defaultConfig` - the base configuration to be consulted when a key is missing from this configuration instance.

### Method Detail

#### load

    public abstract void load()
                       throws IOException,
                              ConfigInvalidException

Load the configuration from the persistent store.

If the configuration does not exist, this configuration is cleared, and thus behaves the same as though the backing store exists, but is empty.

Throws:
  `IOException` - the configuration could not be read (but does exist).
  `ConfigInvalidException` - the configuration is not properly formatted.

#### save

    public abstract void save()
                       throws IOException

Save the configuration to the persistent store.

Throws:
  `IOException` - the configuration could not be written.

#### clear

    public void clear()

Description copied from class: `Config`
Clear the configuration file

Overrides:
  `clear` in class `Config`